package com.xjrsoft.common.enums;

/**
 * 工作流成员配置类型枚举
 * @Author: tzx
 * @Date: 2022/9/26 16:01
 */
public enum WorkflowMemberType {
    /**
     * 用户
     */
    USER(0, "用户"),
    /**
     * 角色
     */
    ROLE(1, "角色"),

    /**
     * 岗位
     */
    POST(2, "岗位"),

    /**
     * 指定节点审批人
     */
    APPROVE(3,"指定节点审批人"),

    /**
     * 上级领导
     */
    LEADER(4,"上级领导"),

    /**
     * 表单字段
     */
    FORM_FIELD(5,"表单字段"),

    /***
     * API
     */
     API(6,"api接口"),

    /**
     * sql指定
     */
    SQL(7,"sql指定");


    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    WorkflowMemberType(final int code, final String message) {
        this.code = code;
        this.value = message;
    }
}
